#pragma once
#include "Entity.h"
#include "EntityStateGravity.h"
//动画用的钓钩
class CS_KanpaAniHook :
    public Entity
{
public:
    CS_KanpaAniHook(std::shared_ptr<Entity> parent);
    void Init(std::weak_ptr<Entity> self) override;
    void Step() override;
    void DeltaTime(float deltaTime) override;//绘制更新
    void Leave();
    void HookSetTarget(std::weak_ptr<Entity> target);
    EntityStateGravity stateGravity;
    std::weak_ptr<Entity> target;
    bool bHooked = false;
    float lineX = 0;
    float lineY = 0;
    float last_lineX = 0;
    float last_lineY = 0;
    void AnimateStep();
};

